MCP Gateway
ApiSandbox settings

Get Pool Summary

Return an aggregate warm pool summary across all images. When ``warm_pool_enabled`` is *false*, numeric pool fields are zeroed out and ``per_image`` is empty -- but ``total_images`` still reflects the count of active+ready images.

GET
/api/v1/settings/sandbox/pool-summary

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/settings/sandbox/pool-summary"
{
  "total_images": 0,
  "images_with_pool": 0,
  "total_idle": 0,
  "total_min_target": 0,
  "total_max_target": 0,
  "provider": "docker",
  "warm_pool_enabled": true,
  "per_image": [
    {
      "image_id": "string",
      "image_name": "string",
      "display_name": "string",
      "warm_pool_min": 0,
      "warm_pool_max": 0,
      "idle_count": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}